- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Transform.cpp File Reference

`#include "osg/Transform"`
`#include "osg/MatrixTransform"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`
`#include "osg/Notify"`

Include dependency graph for lugins/osg/Transform.cpp:

## Functions
bool | Transform_readLocalData (Object &obj, Input &fr)
bool | Transform_writeLocalData (const Object &obj, Output &fw)
## Variables
RegisterDotOsgWrapperProxy | g_TransformProxy (new osg::Transform,"Transform","Object Node Transform Group",&Transform_readLocalData,&Transform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

bool Transform_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Transform_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TransformProxy(new osg::Transform,"Transform","Object Node Transform Group",&Transform_readLocalData,&Transform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)